## NAME

g.list - Lists available GRASS data base files of the user-specified data type.

## KEYWORDS

general, map management

## SYNOPSIS

g.list
g.list help
g.list [-f] type=datatype[,datatype,...] [mapset=string] [--verbose] [--quiet]

### Flags:

-f
  Verbose listing (also list map titles)
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

type=datatype[,datatype,...]
  Data type
  Options: rast,rast3d,vect,oldvect,asciivect,icon,labels,sites,region,region3d,group,3dview
mapset=string
  Mapset to list (default: current search path)

## DESCRIPTION

g.list allows the user to list user-specified, available and accessible files from mapsets under the user's current location.

## NOTES

If unspecified, files of the specified type from all mapsets in the user's current search path will be listed to standard output. To find out which mapsets are in the cuurent search path, use 'g.mapsets -p'.

If the mapset option is set to "." then only maps from the current mapset will be displayed.

If the user requests that files from a mapset to which access has been restricted (see g.access) be listed, no files from this mapset will be listed.

## EXAMPLES

List all raster maps:

       g.list type=rast

List all raster and vector maps from mapset "user":

       g.list type=rast,vect mapset=user

## SEE ALSO

g.access
g.mapsets
g.mlist

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2009-05-29 11:18:32 +0200 (pá, 29 V 2009) $

Main index - general index - Full index

© 2003-2014 GRASS Development Team